Bug 738908 - HTML Topic View
Summary: HTML Topic View
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Matthew Casperson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 01:41 UTC by Matthew Casperson
Modified: 2014-08-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-20 02:42:22 UTC


Attachments (Terms of Use)

Description Matthew Casperson 2011-09-16 01:41:19 UTC
* Use Xalan XSLTC to compile the publican XSL transforms into translets - http://xml.apache.org/xalan-j/xsltc_usage.html

* Make images and CSS files available as downloads

* Preprocess XML to deal with injection points and images

* Add function to command line utils to populate initial HTML data, using translets to convert XML to HTML

* Add iframe to new tab in topic view screen to display the resulting HTML

* Add ability to just directly to HTML view in Skynet

* Integrate code from command line utils into Skynet, and regenerate HTML when topics are modified

Comment 1 Matthew Casperson 2011-10-20 02:42:22 UTC
Fixed in  20111019-1121


Note You need to log in before you can comment on or make changes to this bug.